Skip to main content
`Ctrl`+`K`

# get_dependent_physical_types

ndcube.utils.wcs.get_dependent_physical_types(physical_type, wcs)

  Given a world axis physical type, return the dependent physical types including the input type.

  Parameters:

    - physical_type (`str`) – The world axis physical types whose dependent physical types are desired.

    - wcs (`astropy.wcs.wcsapi.BaseLowLevelWCS`) – The WCS object defining the relationship between pixel and world axes.

  Returns:

    dependent_physical_types – Physical types dependent on the input physical type.

  Return type:

    `numpy.ndarray` of `str`